[Overview][Types][Classes][Index] | Reference for unit 'DynQueue' (#lcl)

# TDynamicDataQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: dynqueue.pas line 45

`type TDynamicDataQueue = class`
`public`
`constructor Create;` |  |
`destructor Destroy; override;` |  |
`procedure Clear;` |  |
`procedure ConsistencyCheck;` |  |
`procedure WriteDebugReport();` |  |
`function Push();` |  |
`function Pop();` |  |
`function Top();` |  |
`property Size: Int64; [r]` |  |
`property MinimumBlockSize: Integer; [rw]` |  |
`property MaximumBlockSize: Integer; [rw]` |  |
`end;`

## Inheritance

`TDynamicDataQueue` |  |
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.